Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.io.dataformat
Class DataFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.maltparser.core.exception.MaltChainedException
                  org.maltparser.core.io.dataformat.DataFormatException

All Implemented Interfaces:
  Serializable

    public class DataFormatException

extends MaltChainedException

DataFormatException extends the MaltChainedException class and is thrown by classes within the dataformat package.

Since:
  1.0
Author:
  Johan Hall
See Also:
  Serialized Form

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`DataFormatException(String message)` Creates a DataFormatException object with a message
`DataFormatException(String message, Throwable cause)` Creates a DataFormatException object with a message and a cause to the exception.

Method Summary

Methods inherited from class org.maltparser.core.exception.MaltChainedException
`getCause, getMessageChain, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### DataFormatException

    public DataFormatException(String message)

  Creates a DataFormatException object with a message

  Parameters:
    `message` - the message

### DataFormatException

    public DataFormatException(String message,
                               Throwable cause)

  Creates a DataFormatException object with a message and a cause to the exception.

  Parameters:
    `message` - the message
    `cause` - the cause to the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.